<?php
/*
####################################################################
# DEBRECENI VIRTUÁLIS SZOBORPARK                                   #
# GUESTBOOK                                                        #
# Vendégkönyv                                                      #
#                                                                  #
# (C) Debreceni Városi Könyvtár 2008.04.23.                        #
# Készítette: Lente Tamás                                          #
####################################################################
*/

// Ha a küldés lett kiválasztva bejegyezzük, és értesítőt küldünk
  if ($_REQUEST['mode'] == 'send') {
     $ipcim = $_SERVER["REMOTE_ADDR"]; 
     $nev = $_REQUEST['nev'];
     $email = $_REQUEST['email'];
     $uzenet = $_REQUEST['uzenet']; 
     // Adatbázisba írás
     $beszur_vkonyv = lekerdezes("INSERT INTO vendegkonyv (v_nev, v_email, v_uzenet, v_ido, v_ipcim, v_megjelenik) 
            VALUES ('".$nev."','".$email."','".$uzenet."', '".date('Y.m.d. H:i')."','".$ipcim."',1)");
     // Ha sikerült a beszúrás értesítő küldése az adminisztrátoroknak     
     if ($beszur_vkonyv) {
      $lekerdezes_admin = lekerdezes("SELECT * FROM nezet_felhasznalok");
      // ha van adminisztrátor, akkor kigyűjtjük őket és nekik küldünk e-mailt
      if (ossz_rekord($lekerdezes_admin)>0) {
        while($rekord_admin = olvas_asszociativ($lekerdezes_admin)) {      
          $admin_usernev[] = $rekord_admin[f_nev];
          $admin_email[] = $rekord_admin[f_email];
        }
        // Értesítőlevél küldése
        set_time_limit(0);
        include_once("modules/class.phpmailer.php");
        $mail = new PHPMailer();
        $mail->SetLanguage("hu", "."); // magyar nyelvű hibaüzenetek
        $mail->IsSMTP();               // levél küldése SMTP szerveren keresztül
        $mail->Host = $smtp['host'];   // smtp szerver
        $mail->CharSet = "utf-8";      
        // Ha az SMTP küldés azonosításhoz kötött
        if ($smtp['auth'] == 1) {
          $mail->Mail->SMTPAuth = true;
          $mail->Mail->Username = $smtp['user'];
          $mail->Mail->Password = $smtp['pass'];
        }
        // levél szövege 
        $level = "<html>\n";
        $level .= "<head><meta http-equiv=\"content-type\" content=\"text/html; charset=".$charset."\"></head>\n";
        $level .= "<body bgcolor=white>\n";
        $level .= "<B>".ucfirst($szoveg[level_megszolit])." ".ucfirst($szoveg[admin])."!</B><p>\n";
        $level .= $nev." (".$email.") ".$szoveg[ujbejegyzes].":<p>\n";
        $level .= $uzenet."<p>\n";
        $level .= ucfirst($szoveg[bejegyzesadmintorol])."!<br>\n";
        $level .= "<a href=".$url."/admin>".$url."/admin</a><p>\n";        
        $level .= "<hr>\n";
        $level .= "&nbsp; &nbsp;  ".$szoveg[title]."<p>\n";
        $level .= "</body></html>\n";
        $mail->From = $szoveg[root_email];
        $mail->FromName = $szoveg[root_name];
        // ahány adminisztrátor, annyi címzett lesz
        for ($i=0;$i<count($admin_usernev);$i++) {
          $mail->AddAddress($admin_email[$i], $admin_usernev[$i]);
        }
        $mail->Subject = "Új bejegyzés a vendégkönyvbe"; 
        $mail->IsHTML(true);           // HTML lesz a levél szövege
        $mail->Body = $level;
        if(!$mail->Send()) {
          echo "      <div class=\"hiba\">".ucfirst($szoveg[level_nemkuld]).". ".ucfirst($szoveg[hibauzenet]).": ".$mail->ErrorInfo."</div>\n";        
          contactme();
          exit;
        }
        else {
          // mellékletek és címek törlése a következő ciklushoz
          $mail->ClearAddresses();
        }
      }
      // egyébként nem lesz e-mail értesítő kiküldve!
     }            
  }
  elseif ($_REQUEST['mode'] == 'delete') {
    $torol_vendegkonyv = lekerdezes("DELETE FROM vendegkonyv WHERE v_azon=".$id);
    if ($torol_vendegkonyv)
      echo "      <div class=\"hiba\" align=\"center\">".ucfirst($szoveg[bejegyzestorolve])."</div>\n";
  }

// űrlap kiíratás 
  include("guestbook-form.php");

// bejegyzések listázása
  include("guestbook-list.php");
 
?>
